Downloads the result files
curl --request GET \
--url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/files/{fileId}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/files/{fileId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/files/{fileId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}Transactions
Downloads the result files
Downloads the result file of the transaction.
GET
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
/
files
/
{fileId}
/
download
Downloads the result files
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Transaction identifier. You receive it in the response after the transaction has been successfully created.
File identifier. You can find it in the transaction details, under documents - resultFiles.
Response
File content is successfully returned
The response is of type file.
Was this page helpful?
⌘I
